- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Input
- ButtonAxisInput
- Qt 6.7.2 Reference Documentation

# ButtonAxisInput QML Type

QML frontend for QButtonAxisInput C++ class. The axis value is controlled by buttons rather than a traditional analog input such as a joystick. More...

Import Statement: | import Qt3D.Input 2.7

- List of all members, including inherited members

## Properties

- acceleration : real
- buttons : list<var>
- deceleration : list<var>
- scale : real

## Detailed Description

## Property Documentation

acceleration : real

Specifies the rate at which the axis value changes when a button is held

buttons : list<var>

Specifies the buttons which control the axis

deceleration : list<var>

Specifies the rate at which the axis value returns to normal when a button is released

scale : real

Specifies how the axis output value is scaled. No scaling is applied by default so it defaults to 1.